Kerbal Space Program - Bug #23492

Robotic Parts in series lock up when autostrut is on
09/01/2019 01:12 AM - traisjames

Status: Closed Start date: 09/01/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.8.0

Version: 1.7.3 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Breaking Ground

Description

The robotics parts in Breaking Ground fail to move as assigned if they are in series with other robotic parts closer to the root and they
have an autostrut enabled.

In the craft Hinge Test, | have a series of hinges and pistons. All hinges and pistons have different autostruts enabled and all have
motors disabled but unlocked. What | expect to happen every hinge flops around as gravity takes over...making a complex
pendulum, and all pistons to extend. If you turn the struts off one by one, the part will work as expected.

Land Rover Failed Joint is a folding rover | built that has the same issue. | have a controller set to unfold the rover when | click play.
The first joint unfolds correctly, but the second joint does not if autostrut is on.

History

#1 - 09/01/2019 05:12 PM - AHHans
- Subject changed from Hinges and Pistons in series lock up when autostrut is on to Robotic Parts in series lock up when autostrut is on
- Platform Linux, Windows added

- Expansion deleted (Core Game, Making History)

I've been able to reproduce the problem.

Having non-robotic parts with autostrut on either side of a robotic part seems to work fine. With the expected changes if the robotic part or locked or
not locked.

Having an autostrut on a robotic part that has another (non locked) robotic part between itself and the vessel root, then that robotic part locks up. l.e.
in a situation with the vessel root R, and robotic parts A and B connected like this:

R ->A -> B
Then if A is not locked and B has an autostrut, then B will lock up.

A robotic part that is directly connected to the root part of the vessel (here either A, or B with A being locked) does not freeze up when an autostrut is
set. Except if the autostrut is set to heaviest and the heaviest part is on the downstream (non-root) side of the robotic part.

P.S. This doesn't just affect hinges and pistons, but all kinds of robotic parts.

#2 - 10/17/2019 08:48 PM - victorr
- Status changed from New to Ready to Test
- Target version set to 1.8.0

- % Done changed from 0 to 80

We've made some changes in the latest version and would like some feedback on this issue. Thanks.

#3 - 12/12/2019 10:52 AM - AHHans

I've made a quick test, and it seems to work now. At least for the test case.

#4 - 02/21/2020 01:39 AM - chris.fulton

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#5 - 02/21/2020 01:39 AM - chris.fulton

- Status changed from Resolved to Closed

Files

Hinge Test.craft 64.5 KB 09/01/2019 traisjames

Land Rover Failed Joint.craft 117 KB 09/01/2019 traisjames
